SUMMARY: MODULE | CLASS | TYPE | PROC | VAR | CONST | DETAIL: TYPE | PROC | VAR | CONST

# URI:Authority:Unparsed

### Import List

        ADT:StringBuffer
        Exception
        Exception
        Object
        Object
        TextRider
        URI

Class List
Authority |

Class Summary: Authority [Detail]
      +---URI.Authority
           |
           +--URI:Authority:Unparsed.Authority
Field Summary
unparsed-: STRING Holds the authority substring of a URI without any modifications.
Constructor Summary
Init(Authority, STRING)
New(STRING): Authority
Method Summary
Append(StringBuffer) Appends the textual representation of the authority component auth to the string sb.
Clone(): Authority Creates a deep copy of the authority component referenced by auth.
Copy(Authority) Copies contents of source auth to target dest.
ParseAuthority(CharsLatin1, Offset) Parses the authority component str of an hierarchical URI.
WriteXML(Writer) Writes an XML fragment describing the authority component to the writer w.
Inherited Methods
From URI.Authority: Append, Clone, Copy, ParseAuthority, WriteXML

Class Detail: Authority

Field Detail

### unparsed

    FIELD unparsed-: STRING

> Holds the authority substring of a URI without any modifications. In particular, escaped characters are not replaced with their character value.

Constructor Detail

### Init

    PROCEDURE Init(auth: Authority;
                   unparsed: STRING)

### New

    PROCEDURE New(unparsed: STRING): Authority

Method Detail

### Append

    PROCEDURE (auth: Authority) Append(sb: StringBuffer)

> Appends the textual representation of the authority component auth to the string sb.

> [Description inherited from Append]

> Redefines: Append

### Clone

    PROCEDURE (auth: Authority) Clone(): Authority

> Creates a deep copy of the authority component referenced by auth.

> [Description inherited from Clone]

> Redefines: Clone

### Copy

    PROCEDURE (auth: Authority) Copy(dest: Authority)

> Copies contents of source auth to target dest.

> Pre-condition: The dynamic type of dest is an extension of the dynamic type of auth.

> [Description inherited from Copy]

> Redefines: Copy

### ParseAuthority

    PROCEDURE (auth: Authority) ParseAuthority(str: CharsLatin1;
                             offset: Offset)
      RAISES ParseError;

> Parses the authority component str of an hierarchical URI. On success, the data is stored in the authority object auth and the result is NIL. In case of error, a message object is returned and auth is not modified. A character position in an error message refers to an index in str, incremented by the value of offset.

> [Description inherited from ParseAuthority]

> Redefines: ParseAuthority

### WriteXML

    PROCEDURE (auth: Authority) WriteXML(w: Writer)

> Writes an XML fragment describing the authority component to the writer w.

> [Description inherited from WriteXML]

> Redefines: WriteXML